getSignal = async (pair) => {
  return await fetch("signal.csv")
    .catch((e) => {
      console.log(e);
    })
    .then((response) => {
      return response.text();
    })
    .then((text) => {
      res = text.split(';');
      if (res.length == 3 && res[2].match(/EURAUD|EURUSD|USDJPY|EURJPY|CHFJPY|EURGBP|NZDUSD/)) {
        const d = new Date(res[1]);
        const pair = res[2].slice(0,3) + "/" + res[2].slice(3,6);
        let now = new Date();
        now.setSeconds(50);
        // console.log(d);
        // console.log(now);
        if (d >= now) {
          console.log({pair: pair, type: res[0], at: d});
          return {pair: pair, type: res[0], at: d};
        }
      }
    });
}

chrome.extension.onRequest.addListener(async (request, sender, sendResponse) => {
  if (request.method == "getSignal") {
    const signal = await getSignal();
   
    await sendResponse({ signal });
  } else if (request.method == "getSetting") {
    sendResponse(localStorage);
  }
});